/*
 * Copyright (C) 2008-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of NAScan
 *
 * NAScan is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * NAScan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NAScan.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef __NASCAN_FILTER_H
#define __NASCAN_FILTER_H


#include <vdr/filter.h>
#include <vdr/device.h>


//////////////////////////////////////////////////////////////////////////////


class GFilter : public cFilter
{
public:
  GFilter() { attachedDevice = NULL; }
  virtual ~GFilter() { Detach(); }
  
  void Attach(cDevice* device);
  void Detach(void);
  
  bool Attached(void) { return (attachedDevice != NULL); }
  
protected:
  cDevice* attachedDevice;  
};


//////////////////////////////////////////////////////////////////////////////


#endif // __NASCAN_FILTER_H
